function Registrar(boton){
	if(mal(2, valor('nom1'))){ alert("Debe especificar el 1er nombre"); return;}
	if(mal(2, valor('ape1'))){ alert("Debe especificar el 1er apellido"); return;}
	if(mal(2, valor('empresa'))){ alert("Debe especificar la institución u organización"); return;}
	if(mal(2, valor('direccion'))){ alert("Debe especificar la dirección física"); return;}
	if(mal(2, valor('ciudad'))){ alert("Debe especificar la ciudad"); return;}
	if(mal(2, valor('provincia'))){ alert("Debe especificar el estado o provincia"); return;}
	if(mal(2, valor('email'))){ alert("Debe especificar el email"); return;}
	if(!correo(valor('email'))){ alert("Email incorrecto"); return; }
	if(valor('email') != valor('email2')){ alert("Los email suministrados no son iguales"); return; }
	if(mal(7, valor('telefono'))){ alert("Debe especificar el teléfono"); return;}
	if(valor('pais') == ""){ alert("Debe seleccionar el país"); return;}
	if(valor('estudiante') == ""){ alert("Debe seleccionar si es estudiante"); return;}
	if(!confirm('Está seguro de registrar los datos?')) return;
	boton.disabled = true;
	document.formulario.submit();
}
//function Registrar2(boton){
//	if(mal(2, valor('nom1'))){ alert("First name required"); return;}
//	if(mal(2, valor('ape1'))){ alert("Last name required"); return;}
//	if(mal(2, valor('empresa'))){ alert("Institution required"); return;}
//	if(mal(2, valor('direccion'))){ alert("Street address required"); return;}
//	if(mal(2, valor('ciudad'))){ alert("City required"); return;}
//	if(mal(2, valor('provincia'))){ alert("State or Province required"); return;}
//	if(mal(2, valor('email'))){ alert("Email required"); return;}
//	if(!correo(valor('email'))){ alert("Incorrect email address"); return; }
//	if(valor('email') != valor('email2')){ alert("Email missmatch"); return; }
//	if(mal(7, valor('telefono'))){ alert("Telephone required"); return;}
//	if(valor('pais') == ""){ alert("Country required"); return;}
//	//if(valor('congreso') == ""){ alert("You must choose a conference to assist"); return;}
//	if(valor('miembro') == ""){ alert("You must choose if you are a ICOH member"); return;}
//	if(valor('estudiante') == ""){ alert("You must choose if you are a student"); return;}
//	//if(valor('monto') == ""){ alert("Required fields incomplete"); return;}
//	if(!confirm('Register this information?')) return;
//	boton.disabled = true;
//	document.formulario.submit();
//}

function tarifa(){
	var total = 0;
	if(document.formulario.a.checked) total += parseFloat(document.formulario.a.value);
	if(document.formulario.b.checked) total += parseFloat(document.formulario.b.value);
	if(document.formulario.c.checked) total += parseFloat(document.formulario.c.value);
	if(document.formulario.d.checked) total += parseFloat(document.formulario.d.value);
	/**/
	document.formulario.total.value = total;
	document.getElementById('total').innerHTML = '($' + total + ')';
}

function paso1(btn){
	if(document.formulario.total.value == "0"){
		alert("Debe seleccionar alguna opción");
		return;
	}
	if(confirm("Está seguro de las opciones seleccionadas?")){
		btn.disabled = true;
		document.formulario.submit();
	}
}

//function paso2(btn){
//	if(document.formulario.total.value == "0"){
//		alert("Select at least one option");
//		return;
//	}
//	if(confirm("Are you sure of the selected options?")){
//		btn.disabled = true;
//		document.formulario.submit();
//	}
//}

/*VALIDACION*/
function mal(cantidad, valor){
	if (valor.length < cantidad) return true;
	var p1 = valor;
  	var espacios = true;
  	var cont = 0;
	while (espacios && (cont < p1.length)) {
   		if (p1.charAt(cont) != " ") espacios = false;
   		cont++;
  	}
  	if (espacios) return true;
	return false;
}

function valor(ctrl){
	return document.getElementById(ctrl).value;
}

function foco_i(control){
	var str = "";
	str = control.value;
	if(isNaN(parseInt(str))){
		control.value = "";
	}else{
		control.value = parseInt(str);
	}
}

function correo(valor){
	if (valor != ""){
		if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(valor)) return true;
  		else return false;
	}else return false;
	return true;
}